restinio::http_status_line_t Class Reference

HTTP response header status line. More...

`#include <http_headers.hpp>`

## Public Member Functions

| http_status_line_t ()
| http_status_line_t (http_status_code_t sc, std::string reason_phrase)
http_status_code_t | status_code () const noexcept
void | status_code (http_status_code_t c) noexcept
const std::string & | reason_phrase () const noexcept
void | reason_phrase (std::string r)

## Private Attributes

http_status_code_t | m_status_code { status_code::ok }
std::string | m_reason_phrase

## Detailed Description

HTTP response header status line.

Definition at line 2123 of file http_headers.hpp.

## Constructor & Destructor Documentation

## http_status_line_t() [1/2]

restinio::http_status_line_t::http_status_line_t | ( |  | ) |

inline

Definition at line 2126 of file http_headers.hpp.

## http_status_line_t() [2/2]

restinio::http_status_line_t::http_status_line_t | ( | http_status_code_t | sc,
|  | std::string | reason_phrase
| ) |  |

inline

Definition at line 2129 of file http_headers.hpp.

## Member Function Documentation

## reason_phrase() [1/2]

const std::string & restinio::http_status_line_t::reason_phrase | ( |  | ) | const

inlinenoexcept

Definition at line 2145 of file http_headers.hpp.

## reason_phrase() [2/2]

void restinio::http_status_line_t::reason_phrase | ( | std::string | r | ) |

inline

Definition at line 2149 of file http_headers.hpp.

## status_code() [1/2]

http_status_code_t restinio::http_status_line_t::status_code | ( |  | ) | const

inlinenoexcept

Definition at line 2137 of file http_headers.hpp.

## status_code() [2/2]

void restinio::http_status_line_t::status_code | ( | http_status_code_t | c | ) |

inlinenoexcept

Definition at line 2141 of file http_headers.hpp.

## Member Data Documentation

## m_reason_phrase

std::string restinio::http_status_line_t::m_reason_phrase

private

Definition at line 2154 of file http_headers.hpp.

## m_status_code

http_status_code_t restinio::http_status_line_t::m_status_code { status_code::ok }

private

Definition at line 2153 of file http_headers.hpp.

The documentation for this class was generated from the following file:

- restinio/http_headers.hpp